@font-face {
    font-family: 'Latin Modern';
    font-style: normal;
    font-weight: normal;
    font-display: swap;
    src: url('./fonts/LM-regular.woff2') format('woff2'),
      url('./fonts/LM-regular.woff') format('woff'),
      url('./fonts/LM-regular.ttf') format('truetype');
  }
  
  @font-face {
    font-family: 'Latin Modern';
    font-style: italic;
    font-weight: normal;
    font-display: swap;
    src: url('./fonts/LM-italic.woff2') format('woff2'),
      url('./fonts/LM-italic.woff') format('woff'),
      url('./fonts/LM-italic.ttf') format('truetype');
  }
  
  @font-face {
    font-family: 'Latin Modern';
    font-style: normal;
    font-weight: bold;
    font-display: swap;
    src: url('./fonts/LM-bold.woff2') format('woff2'),
      url('./fonts/LM-bold.woff') format('woff'),
      url('./fonts/LM-bold.ttf') format('truetype');
  }
  
  @font-face {
    font-family: 'Latin Modern';
    font-style: italic;
    font-weight: bold;
    font-display: swap;
    src: url('./fonts/LM-bold-italic.woff2') format('woff2'),
      url('./fonts/LM-bold-italic.woff') format('woff'),
      url('./fonts/LM-bold-italic.ttf') format('truetype');
  }

  @font-face {
    font-family: 'Bazinga';
    font-style: normal;
    font-weight: normal;
    font-display: swap;
    src: url('./fonts/Bazinga-2OLld.woff') format('woff'),
    url('./fonts/Bazinga-2OLld.ttf') format('truetype');
  }

body.en :lang(cs) {
  display: none;
}
body.cs :lang(eng){
  display: none;
}

body{
  font-family: 'Latin Modern', Georgia, Cambria, 'Times New Roman', Times, serif;
  margin: 0px;
  padding: 0px;
  font-size: 100%;
  overflow-x: hidden;
}

#head{
    position: fixed;
    background-color: white;
    padding: 0.5%;
    display: block;
    color: black;
    top: 0px;
    text-align: center;
    width: 100%;
    height: 120px;
    transition: top 0.5s;
    z-index: 2; 
}

.logo1{
  font-family: 'Bazinga','Latin Modern';
  position: relative;
  text-shadow: 3px 3px 3px #008bc2;
  display: inline;
  color: #000000;
  top: 20px;
  font-size: 50px;
  padding: 20px;
}

@media screen and (max-width: 800px) {
  .logo1{
    font-size: 28px;
    background: none;
  }
}

.logo2{
  text-shadow: 3px 3px 3px #000000;
  display: inline;
  color: #009bd6;
}


h1, h2, h3, h4, h5, h6{
    font-weight: bold;
}

@media screen and (max-width: 800px) {
  h1, h2, h3, h4, h5, h6{
    font-weight: bold;
    font-size: 25px;
  }
}

.menu{
    margin: auto;
    position: fixed;
    text-align: center;
    top: 120px;
    display: block;
    background-color:#009bd6;
    color: white;
    padding: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
    width: 100%;
    font-size: x-large;
    transition: top 0.5s;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    overflow: hidden;
    z-index: 2;   
  }
  
  .menu > a{
    text-decoration: none;
    margin-right: 5px;
    color: white;
  }
  
  .menu > a:hover{
    text-decoration: none;
    color: black;
  }
  
  .menu .menuicon{
    display: none;
  }
  
  @media screen and (max-width: 800px) {
   .menu a:not(:first-child) {display: none;}
   .menu {text-align: left;}
   .menu a.menuicon {
    float: right;
    display: block;
   }
  }
  
  @media screen and (max-width: 800px) {
    .menu.responsive {position: fixed;}
    .menu.responsive a.menuicon{
      position: absolute;
      right: 10px;
      top: 5px;
    }
    .menu.responsive a{
      float: none;
      display: block;
      text-align: left;
    }
  
  }

  #lgSrc{
    float: right;
    width: 25px;
    height: 25px;
    margin-top: 5px;
    margin-right: 5px;
  }

  #lgSrc:hover{
    opacity: 0.5;
    border: 1px solid #00719c;
    border-radius: 5px;
  }

  #all-content{
    padding: 0px;
    margin: 0 auto;
    margin-top: 160px;
    color: black;;
    transition: 0.5s;
    font-size: 2rem;
    scroll-behavior: smooth;
    font-family: 'Latin Modern', Georgia, Cambria, 'Times New Roman', Times, serif;
    line-height: 1.8;
  }

  @media screen and (max-width: 800px) {
    #all-content{
      font-size: 1.5rem;
    }
  }

  .content {
    position: absolute;
    width: 100%;
    padding-left: 2%;
    padding-right: 2%;
    margin: 0 auto;
    color: black;;
    transition: 1s;
  }

  #content1{
    transform: translateX(0%);
  }

  .project-content{
    scroll-behavior: smooth;
    font-family: 'Latin Modern', Georgia, Cambria, 'Times New Roman', Times, serif;
    line-height: 1.8;
    max-width: 120ch;
    overflow-x: hidden;
    margin: 0 auto;
    padding: 1%;


    counter-reset: theorem;
    counter-reset: definition;
    counter-reset: sidenote-counter;

    color: hsl(0, 5%, 10%);
    background-color:white;

    text-rendering: optimizeLegibility;
  }

  .slide-container{
    position: relative;
    margin: auto;
    text-align: center;
  }

  .slide_pic{
    width: 80%;
  }

  @media screen and (max-width: 800px){
    .slide_pic{
      width: 100%;
    }
  }

  .thisSlide{
    display: none;
    -webkit-animation: fadeInFromNone 1.5s ease-out;
    -moz-animation: fadeInFromNone 1.5s ease-out;
    -o-animation: fadeInFromNone 1.5s ease-out;
    animation: fadeInFromNone 1.5s ease-out;
  }

  @-webkit-keyframes fadeInFromNone {
    0% {
        display: none;
        opacity: 0;
    }

    1% {
        display: block;
        opacity: 0;
    }

    100% {
        display: block;
        opacity: 1;
    }
}

@-moz-keyframes fadeInFromNone {
    0% {
        display: none;
        opacity: 0;
    }

    1% {
        display: block;
        opacity: 0;
    }

    100% {
        display: block;
        opacity: 1;
    }
}

@-o-keyframes fadeInFromNone {
    0% {
        display: none;
        opacity: 0;
    }

    1% {
        display: block;
        opacity: 0;
    }

    100% {
        display: block;
        opacity: 1;
    }
}

@keyframes fadeInFromNone {
    0% {
        display: none;
        opacity: 0;
    }

    1% {
        display: block;
        opacity: 0;
    }

    100% {
        display: block;
        opacity: 1;
    }
}


  /* Next & previous buttons */
.prev {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -22px;
  color: #00719c;
  font-weight: bold;
  font-size: x-large;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
  left: 1%;
}

/* Position the "next button" to the right */
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -22px;
  color: #00719c;
  font-weight: bold;
  font-size: x-large;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
  right: 1%;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover, .next:hover {
  font-size: xx-large;
}

  .slide_text{
    width: 100%;
    text-align: center;
  }

  .dot{
    cursor: pointer;
    height: 16px;
    width: 16px;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
  }

  .active, .dot:hover {
    background-color: #00719c;
  }

  #content2{
    transform: translateX(-120%);
    text-align: center;
  }

  #content3{
    transform: translateX(-120%);
    text-align: center;
  }

  #content4{
    transform: translateX(-120%);
    text-align: center;
  }
  
    #content .h1,
    #content .h2,
    #content .h3,
    #content .h4,
    #content .p,
    #content .ul[class],
    #content .ol[class],
    #content .li,
    #content .figure,
    #content .figcaption,
    #content .dl,
    #content .dd {
      margin: 0;
    }

    input[type="file"] {
      display: none;
    }

    .bInputWrap {
      display: block;
      margin: auto;
      text-align: center;
    }
    .btnInput {
      display: inline-block;
      background-color: #00719c;
      border-radius: 5px;
      color: white;
      text-align: center;
      padding: 5px;
      width: 300px;
      transition: all 0.5s;
      cursor: pointer;
      font-size: x-large;
      font-weight: bold;
    }
    .btnInput:hover {
      background-color: #009bd6;
    }

    #basicCanvas{
        display: none;
        margin: auto;
        border: 1px solid #009bd6;
        border-radius: 5px;
    }

    .InpPos {
      display: block;
      width: 100%;
      max-width: 290px;
      margin: auto;
      text-align: left;
      font-size: 15px;
      height: 30px;
    }

    .slider {
      -webkit-appearance: none;
      width: 100%;
      max-width: 265px;
      background: #00b8ff;
      outline: none;
      opacity: 0.5;
      -webkit-transition: .2s;
      transition: opacity .2s;
      border-radius: 5px;
      height: 10px;
      float: right;
      margin-top: 10px;
    }
    
    .slider:hover {
      opacity: 1;
    }
    
    .slider::-webkit-slider-thumb {
      -webkit-appearance: none;
      appearance: none;
      width: 15px;
      height: 15px;
      background: #00719c;
      cursor: pointer;
    }
    
    .slider::-moz-range-thumb {
      width: 15px;
      height: 15px;
      background: #00719c;
      cursor: pointer;
    }

    .rgbWrap{
      margin: auto;
      margin-top: 10px;
      width: 300px;
      text-align: center;
      padding-top: 5px;
    }

    .rgb {
      -webkit-appearance: none;
      appearance: none;
      border-radius: 5px;
      border: 1px solid #009bd6;
      text-align: center;
      width: 60px;

    }

    /* Chrome, Safari, Edge, Opera */
    .rbg::-webkit-outer-spin-button,
    .rgb::-webkit-inner-spin-button {
      -webkit-appearance: none;
      margin: 0;
    }

    /* Firefox */
    .rgb[type=number] {
      -moz-appearance: textfield;
    }

    #color{
      width: 280px;
      height: 40px;
      margin: auto;
      margin-top: 10px;
      border: 1px solid #009bd6;
      border-radius: 10px;
    }

    .btn{
      display: inline-block;
      background-color: #00719c;
      border-radius: 5px;
      color: white;
      text-align: center;
      padding: 5px;
      width: 300px;
      transition: all 0.5s;
      cursor: pointer;
      font-size: x-large;
      margin-top: 10px;
      font-weight: bold;
    }

    .btn:hover {
      opacity: 1;
      color: white;
      background-color: #009bd6;
    }

    /* Chrome, Safari, Edge, Opera */
    .rbgData::-webkit-outer-spin-button,
    .rgbData::-webkit-inner-spin-button {
      -webkit-appearance: none;
      margin: 0;
    }

    /* Firefox */
    .rgbData[type=text] {
      -moz-appearance: textfield;
    }

    .con {
      -webkit-appearance: none;
      display: block;
      margin: auto;
      margin-top: 10px;
      appearance: none;
      border-radius: 5px;
      border: 1px solid #009bd6;
      text-align: center;
      width: 280px;

    }

    /* Chrome, Safari, Edge, Opera */
    .con::-webkit-outer-spin-button,
    .con::-webkit-inner-spin-button {
      -webkit-appearance: none;
      margin: 0;
    }

    /* Firefox */
    .con[type=number] {
      -moz-appearance: textfield;
    }

    #conA{
      font-size: large;
    }

    #DataWrap{
      margin: auto;
      margin-top: 10px;
      width: 300px;
      text-align: center;
      overflow-x: auto;
    }

    #Blank{
      background-color: #009bd6;
    }

    .rgbData {
      -webkit-appearance: none;
      position: relative;
      appearance: none;
      border-radius: 5px;
      border: 1px solid #009bd6;
      text-align: center;
      width: 200px;
      height: 50px;
      font-size: medium;
      margin-top: 10px;
    }

    .rgbDataBtn{
      position: relative;
      margin-top: 10px;
      margin-left: 10px;
      background-color: #00719c;
      border-radius: 5px;
      color: white;
      text-align: center;
      width: 40px;
      height: 50px;
      transition: all 0.5s;
      cursor: pointer;
      border: none;
      font-size: medium;
      overflow-x: auto;
    }

    .rgbDataBtn:hover {
      opacity: 1;
      color: white;
      background-color: #009bd6;
    }

    .chrtwrp{
      width: 100%;
      margin: 0 auto;
      text-align: center;
    }

    .eq{
      overflow-x: auto;
    }

    #video{
      display: block;
      margin: auto;
    }

    #foot{
        position: relative;
        bottom: 0px;
        background-color: #009bd6;
        color: black;
        text-align: center;
        transition: 0.5s;
        height: 40px;
        position: realtive;
        width: 100%;
        font-size: 14px;
        padding-top: 10px;
        box-shadow: 0px 0px 0px rgba(0, 0, 0, 0.2), 0px -4px 7px rgba(0, 0, 0, 0.19);
    }
  
  #foot a{
    color: white;
  }

  #foot a:hover{
      color: black;
  }